/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workofficechange.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workjobgrade.entity.WorkJobGrade;
import com.jeeplus.modules.workstaff.entity.WorkStaffBasicInfo;

/**
 * 调转成员Entity
 * @author chenyuping
 * @version 2018-08-01
 */
public class WorkOfficeChangeUser extends DataEntity<WorkOfficeChangeUser> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String companyId;		// 所属公司
	private String changeId;		// 调转表主键
	private String userId;		// 用户表主键
	private String basicInfoId;		// 入职登记表主键
	private WorkStaffBasicInfo workStaffBasicInfo;
	private WorkJobGrade  jobGrade1;
	private WorkJobGrade  jobGrade2;
	private String oldOfficeName;		// 原部门名称
	private String oldOfficeId;		// 原部门名称主键

	public String getOldOfficeName() {
		return oldOfficeName;
	}

	public void setOldOfficeName(String oldOfficeName) {
		this.oldOfficeName = oldOfficeName;
	}

	public String getOldOfficeId() {
		return oldOfficeId;
	}

	public void setOldOfficeId(String oldOfficeId) {
		this.oldOfficeId = oldOfficeId;
	}

	public WorkJobGrade getJobGrade1() {
		return jobGrade1;
	}

	public void setJobGrade1(WorkJobGrade jobGrade1) {
		this.jobGrade1 = jobGrade1;
	}

	public WorkJobGrade getJobGrade2() {
		return jobGrade2;
	}

	public void setJobGrade2(WorkJobGrade jobGrade2) {
		this.jobGrade2 = jobGrade2;
	}

	public WorkStaffBasicInfo getWorkStaffBasicInfo() {
		return workStaffBasicInfo;
	}

	public void setWorkStaffBasicInfo(WorkStaffBasicInfo workStaffBasicInfo) {
		this.workStaffBasicInfo = workStaffBasicInfo;
	}

	public WorkOfficeChangeUser() {
		super();
	}

	public WorkOfficeChangeUser(String id){
		super(id);
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	

	public String getChangeId() {
		return changeId;
	}

	public void setChangeId(String changeId) {
		this.changeId = changeId;
	}
	

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	

	public String getBasicInfoId() {
		return basicInfoId;
	}

	public void setBasicInfoId(String basicInfoId) {
		this.basicInfoId = basicInfoId;
	}

	private String no;
	private String name;
	private String idCard;
	private String officeName;
	private String job;
	private String status;
	private String newJob;
	@ExcelField(title="工号", align=2, sort=1)
	public String getNo() {
		return no;
	}

	public void setNo(String no) {
		this.no = no;
	}
	@ExcelField(title="姓名", align=2, sort=2)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@ExcelField(title="新职级", align=2, sort=7)
	public String getNewJob() {
		return newJob;
	}

	public void setNewJob(String newJob) {
		this.newJob = newJob;
	}

	public String getIdCard() {
		return idCard;
	}

	public void setIdCard(String idCard) {
		this.idCard = idCard;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getJob() {
		return job;
	}

	public void setJob(String job) {
		this.job = job;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

}